Mailinglist Archive: opensuse-buildservice (258 mails)

< Previous Next >
[opensuse-buildservice] Bashism in complete.sh
  • From: Guido Berhoerster <gber@xxxxxxxxxxxx>
  • Date: Thu, 26 Aug 2010 13:57:10 +0200
  • Message-id: <20100826115710.GC12291@xxxxxxxxxxxxxxxxxx>
Hello,

could somebody please apply the following small fix in osc:

--- complete.sh.orig 2010-02-11 21:03:14.000000000 +0100
+++ complete.sh 2010-08-26 13:50:16.000000000 +0200
@@ -1,6 +1,6 @@
test -z "$BASH_VERSION" && return
-complete -o default _nullcommand &> /dev/null || return
-complete -r _nullcommand &> /dev/null || return
+complete -o default _nullcommand >/dev/null 2>&1 || return
+complete -r _nullcommand >/dev/null 2>&1 || return
test -s /usr/share/osc/complete && complete -o default -C
/usr/share/osc/complete osc
test -s /usr/lib64/osc/complete && complete -o default -C
/usr/lib64/osc/complete osc
test -s /usr/lib/osc/complete && complete -o default -C
/usr/lib/osc/complete osc

This bashism triggers a warning in ksh93's parser each time a
login shell is started which is pretty annoying.

Thanks,
--
Guido Berhoerster
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups